This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 17889 - anaconda throws exception during install
anaconda throws exception during install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-26 17:43 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-30 16:01:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-26 17:43:20 EDT
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1632, in 
doInstall
    self.writeConfiguration ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1381, in 
writeConfiguration
    self.writeNetworkConfig ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 621, in 
writeNetworkConfig
    ip = self.network.lookupHostname()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 145, in 
lookupHostname
    self.primaryNS = isys.pumpNetDevice(dev.get('device'))
  File "/usr/lib/anaconda/isys.py", line 309, in pumpNetDevice
    return _isys.pumpnetdevice(device)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
device: eth0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2000-09-29 11:22:56 EDT
What is the networking information you gave the installer?

Any other information about how your network is setup would be helpful.
Comment 2 Need Real Name 2000-09-29 17:15:15 EDT
I originally attempted to set up Linux for DHCP. We have a medium-sized
corporate Windows/PC network using DHCP for IP assignment. When I used a fixed
IP address during my Linux setup, I was able to successfully finish
the installation.
Comment 3 Michael Fulbright 2000-10-03 18:23:46 EDT
What type of DHCP server are you using?
Comment 4 Need Real Name 2000-10-04 13:35:07 EDT
We are using the DHCP server that comes with NT 4.0 Server.
Comment 5 Michael Fulbright 2000-10-24 14:43:05 EDT
This is probably a issue with pump, reassigning.
Comment 6 Erik Troan 2000-10-24 14:46:41 EDT
When this failed, what media were you installing from, CDROM?
Comment 7 Need Real Name 2000-11-28 13:26:45 EST
It didn't work for me. (the static IP thing).
Anyway, I've heard about this intergrated networkcard problem with IBM Netfinity
M20 servers,
I gonna try that out as we speak.
Comment 8 Need Real Name 2000-11-28 13:43:49 EST
This error occurred when installing from a HD on either a 16 bit FAT prtition 
or on a Native Linux partition.
Comment 9 Muntedhar Alhakim 2000-11-28 14:07:12 EST
I was installing it from CDROM, burned the ISO on to a blank cd, then booted up 
etc.
Comment 10 Prachob Champawong 2000-12-08 11:14:26 EST
I have a very similar error message but it's different line. Especially the line "fsystem: /mnt/sysimage//mnt/extra", I try to create dos mount point at 
"/mnt/extra" while install. However, I try to install again and create only root mount point ("/") but don't create any mount points. It works fine. No error 
message at all.

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in doInstall
    if self.method.systemMounted (self.fstab, self.instPath, self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + \
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 258, in filesystemSpace
    space.append((mntpoint, isys.fsSpaceAvailable(topMount + '/' + mntpoint)))
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /mnt/sysimage//mnt/extra

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 11 Need Real Name 2001-01-11 08:43:48 EST
I am not sure if this will help you at all but I am seeing something similiar 
to this.  Here is the traceback that I get :

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, 
in run
rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in 
doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + \
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 258, in 
filesystemSpace
    space.append((mntpoint, isys.fsSpaceAvailable(topMount + '/' + mntpoint)))
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /mnt/sysimage//dos

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Thanks,

Chad Dunlap
cld@voyager.net

Comment 12 francis+rhbz 2001-01-27 15:03:51 EST
I'm getting something similar:

Traceback (innermost last):
 File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20,
in run
  rc = self.todo.doInstall ()
 File "/tmp/updates/todo.py", line 1491, in doInstall
  self.fstab.mountFilesystems (self.instPath)
 File "/tmp/updates/fstab.py", line 715, in mountFilesystems
  raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

I'm using the anaconda update disk (the first one issued for 7.0), installing
from CD (an official boxed-set CD, even, ooh, ahh).
Comment 13 francis+rhbz 2001-01-27 15:08:29 EST
Never mind my comments; I dropped into the Python debugger, figured out how to
print some variables, and realized what the problem was.  User error, sort of: I
had a partition from a previous install that was formatted as ISO-9660, and
naturally mounting it as ext2 didn't work.  I can rerun and have it formatted
(there's nothing on there I need; it's a staging area).  The installer ought to
try more filesystem types on partitions it wasn't asked to install, though.
Comment 14 Erik Troan 2001-01-30 16:01:04 EST
The original bug reporter has rea
Comment 15 Michael Fulbright 2001-02-23 12:28:24 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.